2.2 and Older Accessories

Discussion in 'iPhone' started by mdkrebs11, Nov 21, 2008.

  1. mdkrebs11 macrumors member

    Joined:
    Jul 14, 2008
    #1
    Has anyone had any issues using their iPhones after the update with older accessories. I have a hard wired car kit that I purchased for my 1G Touch. When I got the 3G iPhone, I started using that in the car instead. Everytime I plug it in, you get those error messages saying not an approved accessory and turn on Airplane mode. But after clearing those out, the phone would play music through the car stereo no problem. Did the download last night and got in the car today to play some music and nothing. I still get the 1st error message of non approved accessory. There is no longer the 2nd error message that normally popped up and the music will no longer play through the stereo. Did they change something in 2.2 so the iPhone no longer works with 1st gen accessories. Pretty crappy if that's the case.
     
  2. Joker2206 macrumors newbie

    Joined:
    Dec 16, 2008
    #2
    Hi.
    I am using Ipod Touch 2G in Honda Accord and I am using Cable for connecting it to a steering wheel commands (acts as a CD-changer).

    I am experiencing great difficulties when I connect Ipod touch in a car. I get an error few times. After 5-6 tries of reconnecting Ipod, to an Accessory i get Ipod working using CD9 (it's resume track).

    I used firmware 2.1 and it sucked badly, now i have 2.2 and it works better but still, I must reconnect Ipod until it starts playing. I have feeling like ipod is trying to find the last song it played last time but it can't....Somehow it starts working after 5 minutes of reconnecting Ipod to accessory.
     

Share This Page